Package Details: jasp-desktop-git v0.8.5.r0.g3242143a-1

Git Clone URL: https://aur.archlinux.org/jasp-desktop-git.git (read-only)
Package Base: jasp-desktop-git
Description: JASP, a low fat alternative to SPSS, a delicious alternative to R.
Upstream URL: http://jasp-stats.org
Licenses: AGPL3
Conflicts: jasp, jasp-desktop
Provides: jasp, jasp-desktop
Submitter: hwkiller
Maintainer: hwkiller
Last Packager: hwkiller
Votes: 5
Popularity: 0.000093
First Submitted: 2015-08-19 18:20
Last Updated: 2018-01-15 04:49

Latest Comments

« First ‹ Previous 1 2 3

MichiMolle commented on 2016-10-14 17:21

qtchooser (dependency) is no longer available :/

hwkiller commented on 2016-05-10 17:57

I just fixed the arch/depends thing. It should work now.
No idea why rbundle is colliding with nlme though? I didn't run into that issue.

sleeping commented on 2016-03-16 14:17

==> ERROR: arch should be an array
==> ERROR: depends should be an array

Also, after fixing the issue above, and after an hour of compilation:

error: failed to commit transaction (conflicting files)
jasp-rbundle: /usr/lib/R/library/nlme/CITATION exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/DESCRIPTION exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/INDEX exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/Meta/Rd.rds exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/Meta/data.rds exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/Meta/hsearch.rds exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/Meta/links.rds exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/Meta/nsInfo.rds exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/Meta/package.rds exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/NAMESPACE exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/R/nlme exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/R/nlme.rdb exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/R/nlme.rdx exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/data/Rdata.rdb exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/data/Rdata.rds exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/data/Rdata.rdx exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/help/AnIndex exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/help/aliases.rds exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/help/nlme.rdb exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/help/nlme.rdx exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/help/paths.rds exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/html/00Index.html exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/html/R.css exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/libs/nlme.so exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/mlbook/README exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/mlbook/ch04.R exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/mlbook/ch05.R exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/de/LC_MESSAGES/R-nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/de/LC_MESSAGES/nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/en@quot/LC_MESSAGES/R-nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/en@quot/LC_MESSAGES/nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/fr/LC_MESSAGES/R-nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/fr/LC_MESSAGES/nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/ko/LC_MESSAGES/R-nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/ko/LC_MESSAGES/nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/pl/LC_MESSAGES/R-nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/po/pl/LC_MESSAGES/nlme.mo exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/scripts/ch01.R exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/scripts/ch02.R exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/scripts/ch03.R exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/scripts/ch04.R exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/scripts/ch05.R exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/scripts/ch06.R exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/scripts/ch08.R exists in filesystem
jasp-rbundle: /usr/lib/R/library/nlme/scripts/sims.rda exists in filesystem

hwkiller commented on 2015-10-09 13:56

I need to add a startup script to bin. There are fairly major packaging changes coming soon so I'll hold off until they commit.
There is also a .desktop file.

johanzebin commented on 2015-10-09 13:47

@hwkiller: Thank you for your fast reply. Your suggestion surely sounds more elegant.

I've already build it successfully however, by just temporarily removing anaconda from my $PATH. (Had to start the build from scratch then, something remembered the first, faulty paths.)

Finally, to anyone wondering how to start it: It's installing to /usr/share/jasp-desktop/JASP.

hwkiller commented on 2015-10-09 13:40

Try using qt chooser to select qt 5 tools before building.

I've never used anaconda before, and I don't know how they package their qt and other libs.

johanzebin commented on 2015-10-09 12:51

Once again, I'm amazed by the Arch community. Since JASP is swiftly developing, I want to have a source install. And AUR delivers, thank you, @hwkiller!

I'm having a problem, however, probably because of my messed-up QT settings, since I'm also using anaconda, which comes with another QT. For me, that's qt-4.8.6-3. As such, "which qmake" yielded "/opt/anaconda/bin/qmake".

My first build attempt failed with:
Restoring previously created R bundle
Creating Makefile
QMAKESPEC has not been set, so configuration cannot be deduced.
Error processing project file: ../jasp-desktop/JASP.pro
==> ERROR: A failure occurred in prepare().
Aborting...

Now I'm trying to figure out how to set up my QT stuff correctly.